"""Confirmation tokens for deferred actions

Revision ID: b59176ee4935
Revises: b751e719ed3d
Create Date: 2019-05-29 14:55:17.450834

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = "b59176ee4935"
down_revision = "b751e719ed3d"
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table(
        "tokens",
        sa.Column("key", sa.String(), nullable=False),
        sa.Column("value", postgresql.JSONB(astext_type=sa.Text()), nullable=True),
        sa.Column("expiry", sa.DateTime(), nullable=True),
        sa.Column("uses", sa.Integer(), nullable=True),
        sa.PrimaryKeyConstraint("key"),
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table("tokens")
    # ### end Alembic commands ###
